'use strict';

var remote = require('remote');
function getArgumentInitPath() {
    var initPage = "";
    var osXOpenFile = remote.getGlobal('openFilePath');
    if (osXOpenFile) {
        initPage = osXOpenFile;
    } else {
        var argv = remote.process.argv;
        var argPath = argv[argv.length - 1];
        if (argv.length === 2 && argPath && argPath.toLowerCase().endsWith("md")) {
            initPage = argPath;
        }
    }
    return initPage;
}
exports.getArgumentInitPath = getArgumentInitPath;
function getThema() {
    return remote.getGlobal('cfg').thema;
}
exports.getThema = getThema;